Subject: [0/5] Add ledger hardware wallet support

From: Jesse Eisses <[email-masked]>
Date: Sun, 27 Oct 2024 09:06:57 +0100

Hi there,

I just realize that I forgot to add my name to the list of contributors,
and also to prefix the email subject with PATCH. Apologies, still
getting the hang of this 😅

Not sure how to fix this. Should I submit a whole new patch series to this
thread, or even start a new issue with the PATCH prefix?

Thanks,

Jesse

[email-masked] writes:

> From: Jesse Eisses <[email-masked]>
>
> Change-Id: I348533df6611a47dca5fd933eed19cebdfca025d
> ---
>  gnu/packages/finance.scm | 4 ++++
>  1 file changed, 4 insertions(+)
>
> diff --git a/gnu/packages/finance.scm b/gnu/packages/finance.scm
> index 317d4592f3..84373452c4 100644
> --- a/gnu/packages/finance.scm
> +++ b/gnu/packages/finance.scm
> @@ -132,6 +132,7 @@ (define-module (gnu packages finance)
>    #:use-module (gnu packages qt)
>    #:use-module (gnu packages readline)
>    #:use-module (gnu packages security-token)
> +  #:use-module (gnu packages serialization)
>    #:use-module (gnu packages sphinx)
>    #:use-module (gnu packages sqlite)
>    #:use-module (gnu packages tex)
> @@ -579,15 +580,18 @@ (define-public electrum
>             python-attrs
>             python-bitstring
>             python-btchip-python
> +           python-cbor
>             python-certifi
>             python-cryptography
>             python-dnspython
>             python-hidapi
>             python-ledgerblue
> +           python-ledger-bitcoin
>             python-protobuf
>             python-pyqt
>             python-qdarkstyle
>             python-qrcode
> +           libusb
>             zbar))
>      (arguments
>       `(#:tests? #f                      ; no tests